stimulus.register("playbooks", class extends Stimulus.Controller {
    // https://discourse.stimulusjs.org/t/syntax-error-when-using-targets/23/5
    // static targets = [ "name", "output" ]


    static get targets() {
        return [ "attackPattern", "campaign", "row" ]
    }

    updateMatrix() {
        let campaign = event.currentTarget.id

        this.rowTargets.forEach((el, i) => {
            el.classList.remove("filter--notUsed")
        })

        this.attackPatternTargets.forEach((el, i) => {
            el.classList.remove("filter--notUsed")
            if(el.classList.contains(campaign)){
                el.classList.add("used")
                el.classList.remove("notused")
            } else {
                el.classList.add("notused")
                el.classList.remove("used")
            }
        })
    }
})