module ActiveAttack
  class DataSource < ApplicationRecord
    has_many :attack_patterns, :class_name => 'ActiveStix::AttackPattern', through: :data_source_attack_pattern

    def self.create_source(src)
      xmd = find_or_create_by(source:src)
      xmd
    end

    def convert_to_json
      source
    end

  end
end
