module ActiveAttack
  class Detection < ApplicationRecord
    has_many :attack_patterns, :class_name => 'ActiveStix::AttackPattern', through: :detection_attack_pattern

    def self.create_descr(descr)
      xmd = find_or_create_by(description:descr)
      xmd
    end

    def convert_to_json
      description
    end
  end
end
