stimulus.register("matrix", class extends Stimulus.Controller {
    // https://discourse.stimulusjs.org/t/syntax-error-when-using-targets/23/5
    // static targets = [ "name", "output" ]


    static get targets() {
        return ["attackPattern", "row"]
    }

    playbook() {
        this.attackPatternTargets.forEach((el, i) => {
            if(!el.classList.contains("used")){
                el.classList.toggle("filter--notUsed")
            }
        })

        this.rowTargets.forEach((el, i) => {
            if (el.querySelectorAll("div span.notused").length == el.children.length) {
                el.classList.toggle("filter--notUsed")
            }
        })
    }
})