module ActiveAttack
  class Version < ApplicationRecord
    has_many :attack_patterns, :class_name => 'ActiveStix::AttackPattern', through: :version_attack_pattern

    def self.create_version(ver)
      vers = find_or_create_by(version:ver)
      vers
    end

    def convert_to_json
      version
    end
  end
end
